-- Change coordinate before change

local Camera={["newsegment"]={},["effect"]={}}

function Camera.newsegment:dynamic(x,y)

  local point={x,y}
  
  function point:moveto(segment,speed)
  
  end
  
  return point

end

function Camera.newsegment:static(x,y)

  local point={x,y}
  
  return point

end

function Camera.newsegment:automatic(x,y) -- Use chains, like moonshine did

  local point={x,y}
  
  return point

end

function Camera.effect:smooth(x,y)

end

return Camera
